## NMDHCP4Config

NMDHCP4Config

## Functions

GObject * | nm_dhcp4_config_new ()
GHashTable * | nm_dhcp4_config_get_options ()
const char * | nm_dhcp4_config_get_one_option ()

## Properties

GHashTable * | options | Read

## Types and Values

#define | NM_DHCP4_CONFIG_OPTIONS

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDHCP4Config

## Description

## Functions

### nm_dhcp4_config_new ()

    GObject *
    nm_dhcp4_config_new (DBusGConnection *connection,
                         const char *object_path);

Creates a new NMDHCP4Config.

#### Parameters

connection | the DBusGConnection |
object_path | the DBus object path of the device |

#### Returns

a new configuration.

[transfer full]

### nm_dhcp4_config_get_options ()

    GHashTable *
    nm_dhcp4_config_get_options (NMDHCP4Config *config);

Gets all the options contained in the configuration.

#### Parameters

config | a NMDHCP4Config |

#### Returns

the GHashTable containing strings for keys and values. This is the internal copy used by the configuration, and must not be modified.

[transfer none][element-type utf8 GObject.Value]

### nm_dhcp4_config_get_one_option ()

    const char *
    nm_dhcp4_config_get_one_option (NMDHCP4Config *config,
                                    const char *option);

Gets one option by option name.

#### Parameters

config | a NMDHCP4Config |
option | the option to retrieve |

#### Returns

the configuration option's value. This is the internal string used by the configuration, and must not be modified.

## Types and Values

### NM_DHCP4_CONFIG_OPTIONS

    #define NM_DHCP4_CONFIG_OPTIONS "options"

## Property Details

### The `“options”` property

      “options”                  GHashTable *

The GHashTable containing options of the configuration.

Type: GLib.HashTable(utf8,GObject.Value)

Flags: Read